# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $ 

inherit kde

DESCRIPTION="Desktop Search engine with QT4 GUI"
HOMEPAGE="http://www.vandenoever.info/software/strigi"
SRC_URI="http://www.vandenoever.info/software/strigi/${P}.tar.bz2"

LICENSE="GPL-2"

SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""

DEPEND=">=kde-misc/strigi-${PV}"

need-kde 3.3

src_compile() {
	cd ${S}
	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr . || die

	emake || die
}

src_install() {
	cd ${S}
	emake install DESTDIR=${D} || die
}
